Jump to content

Photo

O.T. (sort of): running older android apps on newer releases

droid99

5 replies to this topic

#1 jrhodes OFFLINE  

jrhodes

    Chopper Commander

  • 158 posts
  • RUN "CS1"

Posted Wed Jul 11, 2018 3:45 PM

Is there anyway to install some sort of compatibility layer on android to get 5.x apps to work on 6.1+ devices?

I am asking because i know Droid99 used to work, at least on android 5.x builds.

My tablet is 6.1 marshellow, and does not work with droid99.

Is there anyway to sandbox it and give it a "vritual 5.x" environment to run in?

I would prefer not to root the tablet.


Edited by jrhodes, Wed Jul 11, 2018 3:46 PM.


#2 Retrospect OFFLINE  

Retrospect

    Stargunner

  • 1,082 posts
  • Location:Wakefield, England

Posted Wed Jul 11, 2018 7:44 PM

I don't think I've ever heard of a compatibility layer as such but I bet you can pick up an old phone with 5.x installed (never updated) for cheap?



#3 jrhodes OFFLINE  

jrhodes

    Chopper Commander

  • Topic Starter
  • 158 posts
  • RUN "CS1"

Posted Wed Jul 11, 2018 11:52 PM

That is a option, but options with out funding are not really options.



#4 unhuman OFFLINE  

unhuman

    Stargunner

  • 1,208 posts
  • Location:Vienna, VA

Posted Thu Jul 12, 2018 10:59 AM

Fix it!  It's open source: https://github.com/elorimer/droid99



#5 jrhodes OFFLINE  

jrhodes

    Chopper Commander

  • Topic Starter
  • 158 posts
  • RUN "CS1"

Posted Thu Jul 12, 2018 11:14 AM

Its easy to just shove off on everyone else, huh?

Don't see anyone else trying to fix it.


Edited by jrhodes, Thu Jul 12, 2018 11:15 AM.


#6 Ksarul ONLINE  

Ksarul

    River Patroller

  • 4,784 posts

Posted Fri Jul 13, 2018 10:00 AM

This is one of those tasks that requires both the programming skill and the desire to use the application. The two are often not in the same person, unfortunately. Me, I just build hardware. I leave the programming to those much more capable at it than I am.






0 user(s) are browsing this forum

0 members, 0 guests, 0 anonymous users